import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { TimePickerProps as NextTimePickerProps } from '@alifd/next/types/time-picker2';
interface TimePickerProps extends NextTimePickerProps, CommonThemeProps {
}
declare class TimePicker2 extends Component<TimePickerProps> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof TimePicker2;
export default _default;
